Summary:	Adds phpunit channel to PEAR
Name:		php-channel-phpunit
Version:	1.3
Release:	%mkrel 7
Group:		Development/PHP
License:	BSD
URL:		http://pear.phpunit.de
Source0:	http://pear.phpunit.de/channel.xml
BuildRequires:	php-pear
Requires:	php-pear
Requires(post): php-pear
Requires(postun): php-pear
BuildArch:	noarch
Obsoletes:	php-pear-channel-phpunit


%description
This package adds the phpunit channel which allows PEAR packages from this
channel to be installed.

%prep

%setup -q -c -T

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_datadir}/pear/packages

install -m0644 %{SOURCE0} %{buildroot}%{_datadir}/pear/packages/pear.phpunit.de.xml

%post
if [ $1 -eq  1 ] ; then
    %{_bindir}/pear channel-add %{_datadir}/pear/packages/pear.phpunit.de.xml > /dev/null || :
else
    %{_bindir}/pear channel-update %{_datadir}/pear/packages/pear.phpunit.de.xml > /dev/null ||:
fi

%postun
if [ $1 -eq 0 ] ; then
    %{_bindir}/pear channel-delete pear.phpunit.de > /dev/null || :
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_datadir}/pear/packages/pear.phpunit.de.xml




%changelog

* Wed Mar 28 2012 pterjan <pterjan> 1.3-7.mga2
+ Revision: 227296
- Use local xml file in post

* Mon Mar 05 2012 spuhler <spuhler> 1.3-6.mga2
+ Revision: 218279
- increased rel so the channel will update
  fixed the post so it will actually updates

* Thu Jan 12 2012 spuhler <spuhler> 1.3-5.mga2
+ Revision: 195216
- increase rel to 5 for channel upgrade

* Sun Jan 08 2012 obgr_seneca <obgr_seneca> 1.3-4.mga2
+ Revision: 193348
- rebuild for missing signature

* Sun Jan 08 2012 spuhler <spuhler> 1.3-3.mga2
+ Revision: 193095
- increased release for channel to update

* Wed Jan 04 2012 spuhler <spuhler> 1.3-2.mga2
+ Revision: 190238
- added Obsoletes: php-pear-channel-phpunit

* Thu Jan 27 2011 spuhler <spuhler> 1.3-1.mga1
+ Revision: 41648
- removed buildroot definition from .spec
- imported package php-channel-phpunit


* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3-1mdv2011.0
+ Revision: 600418
- 1.3
- rebuild

* Sun Jul 19 2009 Raphaël Gertz <rapsys@mandriva.org> 1.0-7mdv2010.0
+ Revision: 397361
- rebuild
- rebuild

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0-5mdv2009.1
+ Revision: 321707
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 1.0-4mdv2009.0
+ Revision: 258994
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.0-3mdv2009.0
+ Revision: 246868
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Nov 06 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2008.1
+ Revision: 106411
- import php-channel-phpunit


* Tue Nov 06 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2008.1
- initial Mandriva package (fc8 import)

* Fri Dec 29 2006 Christopher Stone <chris.stone@gmail.com> 1.0-2
- Add virtual provides on channel name

* Wed Dec 27 2006 Christopher Stone <chris.stone@gmail.com> 1.0-1
- Initial Release
